#include "frekvence.h"
#include "stm32f0xx_gpio.h"
#include "stm32f0xx_rcc.h"
#include "stm32f0xx.h"

float perioda;
float duty;

// settings of 32bit timer
void dutySetTIM2()
{	
	GPIOA->MODER|=0x02;	   //Alternate Function pro vstup PA0 
	GPIOA->AFR[0]|=0x02;	 //AFRL nastaveni PA0 na AF1(TIM2_CH1_ETR) pripojeni periferie k AF pinu
 
	/* TIM2 clock enable */
  RCC_APB1PeriphClockCmd(RCC_APB1Periph_TIM2, ENABLE);	//povoleni hodin pro periferii
	
	TIM2->CR1=0x0;	//counter disable
	TIM2->CR2=0x0;
	TIM2->CCMR1=0x0;
	TIM2->DIER=0x0;
	TIM2->SMCR=0x0;

	TIM2->PSC=0x0; //sampling frequency 48MHz

	TIM2->CCMR1|=0x01; //CC1 chanel is configured as input, IC1 is mapped on TI1
	//TIM2->CCMR1|=0x30; //IC1F f_sampling=f_CK_INT ; vstupni filtr  N=8 samples
	TIM2->CCER=0x00;	 //sensitive to rising edge
	TIM2->CCMR1|=0x00; ///IC1PS prescaler each edge capture
	TIM2->CCER=0x01;	 // CC1E=1 capture enabled
	TIM2->DIER=0x02;		//CC1IE interrupt enable
	TIM2->SMCR|=0x50;		// TS TRIGGER select TI1FP1
	TIM2->SMCR|=0x04;	 //SMS Reset mode
	TIM2->CR1|=0x01;	 //counter enable
}
