#include "stdint.h"

uint8_t checkSupportedCode(uint8_t);		 // je podporovan kod funkce?
uint8_t checkQuantityRegister(uint16_t); // je pocet registru ve spravnem rozsahu?
uint8_t checkStartingAddress(uint16_t);	 // je startovaci adr. a soucet start adr.+poc. registru  v rozsahu?
//uint8_t requestProcesing(Request);			 // zpracovani modbus zadosti 				

typedef struct
{ 
	uint8_t Address;								// adresa periferie
  uint8_t FunctionCode;           // kod funkce 0x01
  uint16_t StartingAddress;       // prvni adresa civky,jedna adresa = jedna civka
  uint16_t Quantity;    			    // mnozstvi civek od 1 do max2000     
  uint16_t CRC_num; 									
}Request;

typedef struct
{ 
  uint8_t FunctionCode;        	 // kod funkce 0x01
  uint8_t ByteCount;           // pocet Bytu
  uint16_t Value;         // hodnoty                                            
}Response;

typedef struct
{ 
  uint8_t ErrorCode;        	 // kod funkce 0x01
  uint8_t ExceptionCode;           // pocet Bytu                                           
}Error;

