#include "stdint.h"

//konstanty
#define ROZL_ADC 4096   // rozliseni 12 bitoveho prevodniku
#define REF_NAPETI 2.97  	// rozpeti vstupniho napeti AD prevodniku

//funkce
void najdi_max_hodn(int16_t);									 						// vypocet max hodnoty napeti
void najdi_min_hodn(int16_t);									 						// vypocet min hodnoty napeti
void vypocti_stredni_elektrolyt_hodn(int16_t,int16_t*);   // vypocet stredni elektrolytick hodnoty napeti
void vypocti_stredni_aritm_hodn(int16_t,int16_t*);   		 	// vypocet stredni aritmeticke hodnoty napeti
void vypocti_efektivni_hodn(int16_t,int16_t*);						// vypocet efektivni hodnoty napeti	
uint16_t ADC1_Read(void);																	// nacte stav registru se zaznamenanm odmerem
int16_t uprav_meritko(double);  													// upravuje meritko na -1500 az 1500 
